Bug 828188 - Review Request: reprepro - Debian package repository producer
Review Request: reprepro - Debian package repository producer
Status: CLOSED DUPLICATE of bug 1170529
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
: 624023 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-04 08:39 EDT by Sebastien Caps
Modified: 2014-12-04 04:21 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-31 04:22:48 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Sebastien Caps 2012-06-04 08:39:05 EDT
Spec:
http://repo.virer.net/centos/6/SPECS/reprepro.spec
SRPM:
http://repo.virer.net/centos/6/SRPMS/reprepro-4.10.0-1.el6.src.rpm

Description: 
reprepro is a tool to manage a repository of Debian packages (.deb, .udeb, ...).
It stores files either being injected manually or downloaded from some other 
repository (partially) mirrored into one pool/ hierarchy. 
Managed packages and files are stored in a Berkeley DB, so no database server is 
needed. Checking signatures of mirrored repositories and creating signatures of 
the generated Package indices is supported.
Comment 1 Cédric OLIVIER 2012-06-24 10:09:33 EDT
rpmlint gave warnings on SRPM :

reprepro.src: W: spelling-error Summary(en_US) debian -> Debian
reprepro.src: W: summary-not-capitalized C tool to handle local repositories of debian packages.
reprepro.src: W: summary-ended-with-dot C tool to handle local repositories of debian packages.
reprepro.src: W: spelling-error %description -l en_US udeb -> deb, u deb
reprepro.src: W: spelling-error %description -l en_US indices -> induces, indies, indicts

reprepro.src:6: W: hardcoded-packager-tag Sebastien
Don't set "Packager". It should be removed, so
as to use rebuilder's own defaults. Your name appears in the %changelog

reprepro.src:4: W: mixed-use-of-spaces-and-tabs (spaces: line 4, tab: line 1)
You must use uniform spacing and or tabs in your spec file
Comment 2 Fabian Affolter 2012-06-30 14:28:42 EDT
*** Bug 624023 has been marked as a duplicate of this bug. ***
Comment 3 Fabian Affolter 2012-06-30 14:46:52 EDT
Some additional comments to those from Cédric.

- The latest release is 4.12.3
- Isn't openssl and gpgme picked automatically by rpm? Already mentioned in Comment 5 of 624023
- man pages doesn't need to be marked as %doc
- %defattr doesn't follow the Fedora guidelines
Comment 4 Sebastien Caps 2012-07-09 09:20:53 EDT
$ rpmlint ./reprepro.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

New SPEC:
http://virer.net/repo/raw/reprepro.spec
New SRPM:
http://virer.net/repo/raw/reprepro-4.12.3-1.fc16.src.rpm
Comment 5 Sebastien Caps 2012-08-14 11:41:08 EDT
Fix spec file to follow %clean %buildroot guidelines

SRPMS:
http://repo.virer.net/PackagesReviews/2012081417/reprepro-4.12.3-2.fc16.src.rpm
SPEC:
http://repo.virer.net/PackagesReviews/2012081417/reprepro.spec
Comment 6 Sebastien Caps 2012-08-30 03:40:21 EDT
Fedora 18 removed db4-devel package, switching to libdb-devel build dependence

SPEC:
http://repo.virer.net/PackagesReviews/2012083009/reprepro.spec
SRPM:
http://repo.virer.net/PackagesReviews/2012083009/reprepro-4.12.3-3.fc16.src.rpm

F18 Build 
http://koji.fedoraproject.org/koji/taskinfo?taskID=4436849
Comment 7 Fabian Affolter 2012-10-21 06:29:18 EDT
Are you still looking for a sponsor?
Comment 8 Sebastien Caps 2012-10-21 06:41:34 EDT
Yes, I still looking for a sponsor.
Fedora Account System Username: virer
Comment 9 Fabian Affolter 2012-10-21 10:56:09 EDT
Please refer to https://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group
Comment 10 Ralf Corsepius 2012-10-21 13:27:26 EDT
3 remarks:

1. Any particular reasons why you are building without bz2-support?

From your build.log:
...
checking for BZ2_bzCompressInit in -lbz2... no
configure: WARNING: "no libbz2 found, compiling without"
...

If not, you likely are missing a BuildRequires: bzip2-devel

2. Your spec contains this:
make %{?_smp_mflags} RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

The "RPM_OPT_FLAGS="$RPM_OPT_FLAGS" is meaningless (and therefore bogus).
Please remove it.

3. The code bundles copies of md5.*, sha1.*, sha256.*.

Very "interesting" about these bundled versions is this pretty serious warning compilation of sha256.c raises:

sha256.c: In function 'SHA256Final':
sha256.c:192:3: warning: dereferencing type-punned pointer will break strict-aliasing rules [-Wstrict-aliasing]
sha256.c:193:3: warning: dereferencing type-punned pointer will break strict-aliasing rules [-Wstrict-aliasing]
Comment 11 Sebastien Caps 2012-10-21 15:45:44 EDT
1. For bz2 I don't know, here it is mentioned to not include bzip2
not sure about bzip2-devel should I add it ?
 
https://fedoraproject.org/wiki/Packaging:Guidelines?rd=Packaging/Guidelines#Exceptions_2

2. ok removed

3. I don't have theses warning under FC16 I will try to fix it thx.
Comment 12 Greg Swift 2012-10-29 14:04:01 EDT
I had the need to build a debian repo on my rhel environment today and found this so I went to build the latest version of the SPEC (I included the bzip2 and removed the RPM_OPT_FLAGS).

Upon initial --rebuild of srpm on my centos6 box:

$ rpmbuild --rebuild -ba srpms/reprepro-4.12.3-3.fc16.src.rpm 
Installing srpms/reprepro-4.12.3-3.fc16.src.rpm
warning: user caps does not exist - using root
warning: group caps does not exist - using root
warning: user caps does not exist - using root
warning: group caps does not exist - using root
error: Failed build dependencies:
	libdb-devel is needed by reprepro-4.12.3-3.el6.x86_64

so:

1: If you're planning on supporting rhel as well you might wrap the db-devel Build requires in a conditional block?  Considering rhel6 will probably be the last to have it I'd do something like:

%if 0%{?rhel} <= 6
BuildRequires: db4-devel
%else
BuildRequires: libdb-devel
%endif

2: (for someone aside from sebastien) Now that defattr doesn't get defined, we get those user errors over in rhel land... should that also be wrapped in a conditional block if you want to support both?


I also did not see the sha256 warnings mentioned in comment 10
Comment 13 Sebastien Caps 2012-10-30 19:29:57 EDT
fixed missing bzip2-devel and libarchive-devel build dependencies 
put %deffattr for el6 in %files
fixed fc17 & fc18 sha256 problem: 
   Now using openssl md5 and sha for md5 and sha256. 
   For sha1 I keep using bundled library since it have some differences sha1.count in the class
   ->I will publish the patch upstream asap and try to find a way to fix in future release.

SRPM:
http://repo.virer.net/PackagesReviews/20121030/reprepro-4.12.3-4.fc16.src.rpm
SPEC:
http://repo.virer.net/PackagesReviews/20121030/reprepro.spec
Comment 14 Sebastien Caps 2012-10-31 04:55:27 EDT
upstream reply for sha256 fc18 warnings:
***
sha256.c:192:3: warning: dereferencing type-punned pointer will break strict-aliasing rules [-Wstrict-aliasing]
sha256.c:193:3: warning: dereferencing type-punned pointer will break strict-aliasing rules [-Wstrict-aliasing]

Those should be harmless. If you want to be sure, you can cherry-pick
commit 2688a890
(http://anonscm.debian.org/gitweb/?p=mirrorer/reprepro.git;a=commit;h=2688a890).
***

So I put this patch in the last version:
SRPM:
http://repo.virer.net/PackagesReviews/20121031/reprepro-4.12.3-5.fc16.src.rpm
SPEC:
http://repo.virer.net/PackagesReviews/20121031/reprepro.spec

F18 Build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4642198
Comment 16 Sebastien Caps 2012-12-31 04:22:48 EST
Since I still lack of sponsor and I have no more time to spend on it, I close it.
Comment 17 Igor Gnatenko 2014-12-04 04:21:34 EST
I've submitted new review request

*** This bug has been marked as a duplicate of bug 1170529 ***

Note You need to log in before you can comment on or make changes to this bug.